Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDropSite Class Reference
[obsolete]

The QDropSite class provides nothing and does nothing. More...

`#include <qdropsite.h>`

List of all member functions.

## Public Members

- QDropSite ( QWidget * self )
- virtual ~QDropSite ()

## Detailed Description

The QDropSite class provides nothing and does nothing.

This class is obsolete. It is provided to keep old source working. We strongly advise against using it in new code.

If your code uses it, you can safely delete it.

It was used in Qt 1.x to do some drag and drop; that has since been folded into QWidget.

For detailed information about drag-and-drop, see the QDragObject class.

See also QDragObject, QTextDrag, and QImageDrag.

## Member Function Documentation

### QDropSite::QDropSite ( QWidget * self )

Constructs a QDropSite to handle events for the widget self.

Pass `this` as the self parameter. This enables dropping by calling QWidget::setAcceptDrops(TRUE).

### QDropSite::~QDropSite ()`[virtual]`

Destroys the drop site.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.